Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZSectionFrontPage Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $catID=-1)
| get ( $id=-1)
| setSettingID ( $value)
| setCategoryID ( $value)
| categoryID ()
| settingID ()
| id ()
& | settingByRowID ( $id)
& | settingByID ( $id)
| moveUp ()
| moveDown ()

## Static Public Member Functions
static & | settingNames ()

## Public Attributes
| $ID
| $SettingID
| $CategoryID
| $Placement

## Detailed Description

! ezsectionfrontpage ezsectionfrontpages handles sections..

Example code:

Definition at line 42 of file ezsectionfrontpage.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSectionFrontPage::__construct | ( |  | $id = `-1` | ) |

Constructs a new ezsectionfrontpage object.

If $id is set the object's values are fetched from the database.

Definition at line 51 of file ezsectionfrontpage.php.

References $id, and $ID.

## Member Function Documentation

## ◆ categoryID()

eZSectionFrontPage::categoryID | ( |  | ) |

Definition at line 172 of file ezsectionfrontpage.php.

References $CategoryID.

## ◆ delete()

eZSectionFrontPage::delete | ( |  | $catID = `-1` | ) |

Deletes a ezsectionfrontpage object from the database.

Definition at line 123 of file ezsectionfrontpage.php.

References $db, $ID, and eZDB\globalDatabase().

## ◆ get()

eZSectionFrontPage::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 137 of file ezsectionfrontpage.php.

References $db, $id, $ret, and eZDB\globalDatabase().

## ◆ id()

eZSectionFrontPage::id | ( |  | ) |

Definition at line 182 of file ezsectionfrontpage.php.

References $ID.

## ◆ moveDown()

eZSectionFrontPage::moveDown | ( |  | ) |

Moves this item down one step in the order list, this means that it will swap place with the item below.

Definition at line 249 of file ezsectionfrontpage.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ moveUp()

eZSectionFrontPage::moveUp | ( |  | ) |

Moves this item up one step in the order list, this means that it will swap place with the item above.

Definition at line 231 of file ezsectionfrontpage.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ setCategoryID()

eZSectionFrontPage::setCategoryID | ( |  | $value | ) |

Definition at line 167 of file ezsectionfrontpage.php.

## ◆ setSettingID()

eZSectionFrontPage::setSettingID | ( |  | $value | ) |

Definition at line 162 of file ezsectionfrontpage.php.

## ◆ settingByID()

& eZSectionFrontPage::settingByID | ( |  | $id | ) |

Definition at line 214 of file ezsectionfrontpage.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ settingByRowID()

& eZSectionFrontPage::settingByRowID | ( |  | $id | ) |

Definition at line 187 of file ezsectionfrontpage.php.

References $db, and eZDB\globalDatabase().

## ◆ settingID()

eZSectionFrontPage::settingID | ( |  | ) |

Definition at line 177 of file ezsectionfrontpage.php.

References $SettingID.

## ◆ settingNames()

static& eZSectionFrontPage::settingNames | ( |  | ) |
| static

Definition at line 200 of file ezsectionfrontpage.php.

References $db, $name, $ret, and eZDB\globalDatabase().

## ◆ store()

eZSectionFrontPage::store | ( |  | ) |

Stores a ezsectionfrontpage object to the database.

Definition at line 66 of file ezsectionfrontpage.php.

References $db, $query, $res, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $CategoryID

eZSectionFrontPage::$CategoryID

Definition at line 267 of file ezsectionfrontpage.php.

Referenced by categoryID().

## ◆ $ID

eZSectionFrontPage::$ID

Definition at line 265 of file ezsectionfrontpage.php.

Referenced by __construct(), delete(), and id().

## ◆ $Placement

eZSectionFrontPage::$Placement

Definition at line 268 of file ezsectionfrontpage.php.

## ◆ $SettingID

eZSectionFrontPage::$SettingID

Definition at line 266 of file ezsectionfrontpage.php.

Referenced by settingID().

The documentation for this class was generated from the following file:

- ezsectionfrontpage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.